aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Spek <p.spek@tyil.nl>2022-12-25 10:05:37 +0100
committerPatrick Spek <p.spek@tyil.nl>2022-12-25 10:05:37 +0100
commitcc4f30362d5e0dc770a0916a74a26393c9e76828 (patch)
tree51f80d1a3281db7fa19a752ed7aad85da2d379ee
parent3ebd4f405c1e896393972ce35566f5fd8e419c52 (diff)
Revert "Make dmenu wrapper part of wrapper.sh"
This reverts commit 60958fd2dfd575cf14790efd0ac2a66d3ef974f0.
-rwxr-xr-x[l---------].local/bin/dmenu9
-rw-r--r--.local/etc/wrapper.d/dmenu.sh6
2 files changed, 8 insertions, 7 deletions
diff --git a/.local/bin/dmenu b/.local/bin/dmenu
index 3da827c..78cdf52 120000..100755
--- a/.local/bin/dmenu
+++ b/.local/bin/dmenu
@@ -1 +1,8 @@
-../share/wrapper.sh \ No newline at end of file
+#!/usr/bin/env sh
+
+if ! command -v rofi > /dev/null
+then
+ exec /usr/bin/dmenu "$@"
+fi
+
+exec rofi -dmenu "$@"
diff --git a/.local/etc/wrapper.d/dmenu.sh b/.local/etc/wrapper.d/dmenu.sh
deleted file mode 100644
index d12fbed..0000000
--- a/.local/etc/wrapper.d/dmenu.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-
-WRAPPER_BINS="
- /usr/bin/rofi
- /usr/bin/dmenu
-"